Adding a cartItem to an existing shopping cart

Adds a new item to the shopping Cart with all it's fields and relationships.

  • A prospect customer can add new items to the shopping cart

  • A customer can also add new items to the shopping cart.


Following validations are applied:

  • Product eligibility validation ensures the cart contains only eligible products. The validation checks are performed by an external service based on TMF679 Product Offering Qualification API REST Specification

    • The cart cannot be created if the given products do not fulfill the validation

    • It will validate if a offer can be swapped.

  • Service eligibility checks if the cart contains serviceable items. The validation checks are performed by an external service based on TMF645 - Service Qualification API REST Specification.

    • If the service is unqualified then the cart items are saved for later.

  • Custom validation ensures that the cart's content fulfills the tenant's validity rules, if such are pre-defined.

    • Each tenant is allowed to define validation rule sets, against which the validity of the cart shall be checked.

    • The cart cannot be created if it fails to meet the validation rule set.

Can be called by: user,m2m,customer,unauthenticated

Required roles: sc.ops

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string

When sub-classing, this defines the sub-class entity name

string

When sub-classing, this defines the super-class

string

A URI to a JSON-Schema file that defines additional attributes and relationships

string

Identifier of the cart item (generally it is a sequence number 01, 02, 03, ...) in the shopping cart

number

Quantity of cart items

itemTotalPrice
array of objects

An amount, usually of money, that represents the actual price paid by the customer for this item. May represent the total price of the shopping cart or the total of the cart item depending on the relation.

itemTotalPrice
string
enum

The action to be carried out on the Product. Can be: add, modify, delete, noChange

Allowed:
cartItem
array of objects
cartItem
cartItemRelationship
array of objects
cartItemRelationship
itemPrice
array of objects
itemPrice
itemTerm
array of objects
itemTerm
note
array of objects
note
product
object
productOffering
object
string
enum

status of cart item. e.g "active" , "savedForLater".

Allowed:
Headers
string
required

Required channel id to determine the channel through which the request is initiated

Responses

400

Bad Request Payload

401

Unauthorized Access

404

Cart Not Found

500

Internal Server Error

504

Gateway Timed Out

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json